/*index-search*/

.articles{display: grid;grid-template-columns: repeat(auto-fill,minmax(310px,1fr));gap: 2rem; margin: 2rem;justify-content: center; }
.articles .article-card{border:solid 1px lightgray;padding: 1rem;break-inside: avoid;}
.articles .article-card > a{display: block}
.articles .article-card:hover{border:solid 1px gray;}
.articles h3{font-size: 1.8rem;}
.articles .article-card p{ display: -webkit-box;-webkit-line-clamp: 3;-webkit-box-orient: vertical;overflow: hidden;text-overflow: ellipsis;font-size: 1.4rem;color: #444;}
.articles .article-card ul{display: flex;gap:1rem;}
.articles .article-card ul a{text-decoration: underline;/*border-radius: 27px;border:solid 1px maroon;padding:5px;*/}
.articles .article-card div.image3{min-height: 230px;background-image: linear-gradient(135deg,#fad7a1 20%,#e96d71 70%);}
.pagination{margin-top: 2rem;display: flex;gap:1rem;justify-content: center;}
.pagination a,.pagination span{font-size: 1.4rem;width: 32px;height: 32px;border-radius: 50%;display: inline-flex;justify-content: center;align-items: center;border: solid 1px rgba(0,0,0,.4);}
.pagination a.active,.pagination span.active{background: #0b2e13;color: #FFF;border:solid 1px !important;}
.tool-bar form{width: 100%;display: flex;justify-content: center;}
.tool-bar form input[type="search"]{width: 30%;padding: 5px;}
.tool-bar form i.rango-search{font-size: 2rem;cursor: pointer;}
/*page*/
.blog-home{text-indent: 4rem;padding-top: 1rem;margin: 0;}
.social-share,.social-share ul.social-items {text-align: right;margin: 0;}
.layout{display: grid; grid-template-columns: 7fr 3fr;grid-gap: 1rem;}
.layout aside ul li{display: grid;grid-gap: 1rem;margin: 2.5rem 0;}
.layout aside ul li a h3{margin: 0;}
.layout aside ul li a p{display: -webkit-box;-webkit-line-clamp: 3;-webkit-box-orient: vertical;overflow: hidden;text-overflow: ellipsis;font-size: 1.4rem;}
.layout aside ul li img{border-radius: 2px;max-height: 150px;}
.breadcrumb{margin: 1rem 2rem;}
h1.article-title{text-align: center;}
article{margin: 2rem;padding: 2rem;background: #f5f5f5;border-radius: 2rem;}
article img{max-width: max-content;}
article h1,article h2,article h3,article h4{margin: 0;}
article ul{margin: 2rem;}
article p,article li{line-height: 1.8em;font-size: 1.6rem !important;list-style: auto;margin: 1rem 0;}
article div.img{display: grid;grid-template-columns: repeat(auto-fit,minmax(10px,1fr));grid-auto-flow: column;gap: 1rem;justify-content: center;align-items: baseline;}
@media all and (max-width:480px){
    article{margin: 0;}
}
@media all and (max-width:640px) {
    div.layout{display: block;}
    .layout aside ul{display: grid;grid-template-columns: auto auto;grid-gap: 2rem;justify-content: space-around;}
    .tool-bar form input[type="search"]{width: 80%;}
    .breadcrumb{padding: 1rem;margin: 0;}
}
